PDA

View Full Version : Please refresh my memory...



gaijinronnie
01-27-2007, 11:32 PM
I used to post here a long time ago, when IL2 was still brand new. I've recently dusted off my copy of FB, and would like to be re-taught the proper install order of the patches, and where to find them.

Any help is appreciated!

Thanks.

gaijinronnie
01-27-2007, 11:32 PM
I used to post here a long time ago, when IL2 was still brand new. I've recently dusted off my copy of FB, and would like to be re-taught the proper install order of the patches, and where to find them.

Any help is appreciated!

Thanks.

JR_Greenhorn
01-27-2007, 11:52 PM
It's easiest to just send you here (http://www.3dgamers.com/games/il2sturmovik2/downloads/). FB is version 1, so start with patch 1.11 and work your way up to v1.22.

AEP is v2.00, PF is v3.00, v4.00 came in a patch for PF, and the recent downloadable Pe-2, Manchuria, and 1946 add-ons took PF merged from v4.04m to v4.07.

Honestly, it would be the easiest to just order the latest edition, Il-2 Sturmovik 1946. That way, you aviod having to install all of the patches along the way. '46 has just one update, an open beta v4.071m. Word is that the next update will likely be the last, and hopefully will install over v4.07 retail, thus requiring only one patch after installing from the game discs. Not only that, but the amount of content, features, refinement, and advancements from FB (even a fully patched FB v1.22) is staggering. You won't have to look very hard around here to find plenty of reasons to go '46.

gaijinronnie
01-28-2007, 07:57 AM
Thanks!

Where do you get Il2 Sturmovik 1946? I've searched Future Shop, EBgames, and Amazon and they don't seem to have it.

BM357_Sniper
01-28-2007, 08:15 AM
Try gogamer or nws.